> ## Documentation Index
> Fetch the complete documentation index at: https://docs.autorize.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Detalhar caso de uso

> Retorna os detalhes de um caso de uso da empresa dona da chave de API informada.



## OpenAPI

````yaml https://public-usuario-api.autorize.com.br/swagger/v1/swagger.json get /api/casos-de-uso/{id}
openapi: 3.0.4
info:
  title: GCC Usuario Public API
  version: dev
servers:
  - url: https://public-usuario-api.autorize.com.br
    description: Produ??o
  - url: https://staging-usuario-public-api.autorize.com.br
    description: Staging
security: []
tags:
  - name: CasosDeUso
  - name: HashConsulta
  - name: SolicitacaoConsentimento
  - name: WebhookUrls
paths:
  /api/casos-de-uso/{id}:
    get:
      tags:
        - CasosDeUso
      summary: Detalhar caso de uso
      description: >-
        Retorna os detalhes de um caso de uso da empresa dona da chave de API
        informada.
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: Api-Key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/GetCasoDeUsoByIdByEmpresaResponsePadrao'
            application/json:
              schema:
                $ref: '#/components/schemas/GetCasoDeUsoByIdByEmpresaResponsePadrao'
            text/json:
              schema:
                $ref: '#/components/schemas/GetCasoDeUsoByIdByEmpresaResponsePadrao'
components:
  schemas:
    GetCasoDeUsoByIdByEmpresaResponsePadrao:
      type: object
      properties:
        sucesso:
          type: boolean
        isPgccErro:
          type: boolean
        pgccCodigoErro:
          $ref: '#/components/schemas/HttpStatusCode'
        mensagem:
          type: string
          nullable: true
        data:
          $ref: '#/components/schemas/GetCasoDeUsoByIdByEmpresaResultData'
      additionalProperties: false
    HttpStatusCode:
      enum:
        - Continue
        - SwitchingProtocols
        - Processing
        - EarlyHints
        - OK
        - Created
        - Accepted
        - NonAuthoritativeInformation
        - NoContent
        - ResetContent
        - PartialContent
        - MultiStatus
        - AlreadyReported
        - IMUsed
        - MultipleChoices
        - MovedPermanently
        - Found
        - SeeOther
        - NotModified
        - UseProxy
        - Unused
        - TemporaryRedirect
        - PermanentRedirect
        - BadRequest
        - Unauthorized
        - PaymentRequired
        - Forbidden
        - NotFound
        - MethodNotAllowed
        - NotAcceptable
        - ProxyAuthenticationRequired
        - RequestTimeout
        - Conflict
        - Gone
        - LengthRequired
        - PreconditionFailed
        - RequestEntityTooLarge
        - RequestUriTooLong
        - UnsupportedMediaType
        - RequestedRangeNotSatisfiable
        - ExpectationFailed
        - MisdirectedRequest
        - UnprocessableEntity
        - Locked
        - FailedDependency
        - UpgradeRequired
        - PreconditionRequired
        - TooManyRequests
        - RequestHeaderFieldsTooLarge
        - UnavailableForLegalReasons
        - InternalServerError
        - NotImplemented
        - BadGateway
        - ServiceUnavailable
        - GatewayTimeout
        - HttpVersionNotSupported
        - VariantAlsoNegotiates
        - InsufficientStorage
        - LoopDetected
        - NotExtended
        - NetworkAuthenticationRequired
      type: string
    GetCasoDeUsoByIdByEmpresaResultData:
      type: object
      properties:
        id:
          type: string
          format: uuid
        empresaId:
          type: string
          format: uuid
          nullable: true
        pgccCredenciaTemplateId:
          type: string
          nullable: true
        titulo:
          type: string
        descricao:
          type: string
        dataInclusao:
          type: string
          format: date-time
        consequenciaRevogacao:
          type: string
          nullable: true
        modalidadeAcesso:
          $ref: '#/components/schemas/ModalidadeAcessoCasoDeUso'
        gruposDeInformacoes:
          nullable: true
        hipotesesTratamento:
          nullable: true
        plataformaConsentimento:
          type: string
          nullable: true
        dataUltimaSincronizacaoPgcc:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false
    ModalidadeAcessoCasoDeUso:
      enum:
        - Direto
        - Indireto
      type: string

````